#include "AsteroidsShip.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "Invader.h"
#include "InvaderEnemy.h"
#include "graphics/Camera.h"
#include "weapons/projectiles/Projectile.h"

namespace orxonox
{
    //Constructor
    RegisterClass(AsteroidsShip);

    AsteroidsShip::AsteroidsShip(Context* context) : SpaceShip(context)
    {
        RegisterObject(AsteroidsShip);

        float x = getPosition().x;
        float y = getPosition().y;
        float velocityx = 0.0f;
        float velocityy = 0.0f;
        this->bBoost_ = false;
    }
    //Destructor
    AsteroidsShip::~AsteroidsShip()
    {
        if (this->isInitialized())
            this->cleanup();
    }



    //update coordinates and velocity
    void AsteroidsShip::tick(float dt)
    {
        //Movement computation
        Vector3 speed = Vector3 (100, 100, 0);
        Vector3 position = this->getPosition();
        position += (speed * dt);
        this->setPosition(position);
        //roll? muss sich das Raumschiff drehen?

        //Schiessen wenn geschossen wurde
        // shoot!
        if (isFireing)
            ControllableEntity::fire(0);
        
        //Leben verloren 
    }
    
    void 




}